/* XmGoBang: (c) 1995-2008 by Andreas S. Krebs */

#include "xmgobang.h"


/************************************************************************
 *									*
 * Callback procedure for the start player sub menu		 	*
 *  									*
 ************************************************************************/

void startPlayerCB(Widget widget , XtPointer client_data, XtPointer call_data)
{
  XGoGame.StartPlayer=(short)(long)client_data;
  
  if(XGoGame.GameStatus==GAME_NEW)
    setPlayersTurn(XGoGame.StartPlayer);
}


/************************************************************************
 *									*
 * Callback procedure for the player type menus:		 	*
 *  									*
 ************************************************************************/

void playerTypeCB(Widget widget , XtPointer client_data, XtPointer call_data)
{
  short playerType,player=0;
  
  playerType=(short)(long)client_data;
  
  if(playerType & 0x10)
    player=1;
  
  XGoGame.Player[player].Type=(playerType & 1);
  
  if(player==XGoGame.StartPlayer)
    setCursor(player);
}


/************************************************************************
 *									*
 * Callback procedure for the play mode menu:			 	*
 *  									*
 ************************************************************************/

void playModeCB(Widget widget , XtPointer client_data, XtPointer call_data)
{
  XGoGame.PlayMode=(short)(long)client_data;
}


/************************************************************************
 *									*
 * Callback procedure for the cheat mode menu			 	*
 *  									*
 ************************************************************************/

void cheatModeCB(Widget widget , XtPointer client_data, XtPointer call_data)
{
  XGoGame.CheatMode=(short)(long)client_data;
}
